/* ListEditor.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import <objc/List.h>

// Category of List that does the editor-specific stuff
@interface List (IBEditorMethods)
- (const char *)getEditorClassName;
@end

@interface ListEditor:Object <IBEditors>
{
	id	document;
	id	list;
	id	listBrowser;
	id	window;
	
	id	selection;
	id	classBrowser;
	id	rootClassNode;
	id	selField;
	id	whatToDoMatrix;
}

+ topListEditor;
- add:sender;
- remove:sender;
- ok:sender;
- reset;
- setSelection:sender;
- editSelection:sender;

@end
