/* CellCategories.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/ButtonCell.h>
#import <appkit/TextFieldCell.h>
#import <appkit/FormCell.h>
#import <appkit/SliderCell.h>
#import <appkit/Matrix.h>

// We use these categories to customize the behaviour of Ranker according
// to the expected behaviour of matrixes of different sorts of cells
@interface ButtonCell (IBCellButtonCategory)
+ makePrototype;
+ (int)defaultMatrixMode;
@end

@interface TextFieldCell (IBCellTextFieldCategory)
+ makePrototype;
+ (int)defaultMatrixMode;
@end

@interface SliderCell (IBSliderCellCategory)
+ makePrototype;
+ (int)defaultMatrixMode;
@end

