/* CellSelector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>

// A files-owner type class that manages a cell hierarchy, and selects from it

@interface CellSelector:Object
{
	id  browser;	// the browser object on the panel
	id  list;		// the list of classes
	id  panel;		// the panel we show the user
	id  okButton;	// the "ok" button at the bottom of the panel

	SEL filterSel;	// the selector we filter the classes by
}

+ (id)getCellClass;
+ (id)getCellClassRespondsTo:(SEL)aSel;
- choose;
- check:sender;
- ok:sender;
- setFilterSel:(SEL)aSel;

@end
