/* Ranker.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>

// A Matrix subclass that allows control-dragging of cells
@interface Ranker:Matrix
{
	BOOL	rankMode;  // YES means we can control-drag cells.
}

- initFrame:(const NXRect *)frameRect;
- setRankMode:(BOOL)yn;
- (BOOL)rankMode;
- mouseDown:(NXEvent *)theEvent;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end
