/* SwitchViewInspector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */


#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import "SwitchView.h"

// Category of SwitchView that does the inspector-specific stuff
@interface SwitchView (AttributesInspector)

- (const char *)getInspectorClassName;

@end

// An IB inspector for SwitchView
@interface SwitchViewInspector:IBInspector
{
	id     messageTypeField;    // field that displays actual callback method
	id     messageHowMatrix;    // automatic/custom choice matrix
	id     initialField;        // field with initial view number
}

- init;
- ok:sender;
- revert:sender;
- (BOOL)wantsButtons;

@end
