/* TBinder.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>

@interface TBinder:Object
{
	id	dataSource;
	id	interface;
	id	target;
	SEL	action;
	SEL	interfaceAccessor;
	SEL	interfaceModifier;
	SEL	dataSourceAccessor;
	SEL	dataSourceModifier;
	struct {
#ifdef __BIG_ENDIAN__
		unsigned int	verify:1;
		unsigned int	autoUpdate:1;
#else
		unsigned int	autoUpdate:1;
		unsigned int	verify:1;
#endif
	} flags;
}

- setTarget:anObject;
- target;
- setAction:(SEL)anAction;
- (SEL)action;
- setDataSource:anObject;
- dataSource;
- setInterface:anObject;
- interface;
- setInterfaceAccessor:(SEL)aSel;
- (SEL)interfaceAccessor;
- setInterfaceModifier:(SEL)aSel;
- (SEL)interfaceModifier;
- setDataSourceAccessor:(SEL)aSel;
- (SEL)dataSourceAccessor;
- setDataSourceModifier:(SEL)aSel;
- (SEL)dataSourceModifier;
- setVerify:(BOOL)yn;
- (BOOL)verify;
- setAutoUpdate:(BOOL)yn;
- (BOOL)autoUpdate;
- updateInterface:sender;
- updateDataSource:sender;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end
