/* TBinderList.m
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import "TBinderList.h"

@implementation TBinderList

- init
{
	[super init];
	dataSource = nil;
	return self;
}

- setDataSource:anObject
{
	dataSource = anObject;
	return self;
}

- dataSource
{
	return dataSource;
}

- updateInterface:sender
{
	int i;

	for(i=0;(i<numElements);i++) {
		[[self objectAt:i] updateInterface:dataSource];
	}
    return self;
}

- updateDataSource:sender
{
	int i;

	for(i=0;(i<numElements);i++) {
		[[self objectAt:i] updateDataSource:dataSource];
	}
    return self;
}

- read:(NXTypedStream *)stream
{
	[super read:stream];
	dataSource=NXReadObject(stream);
	return self;
}

- write:(NXTypedStream *)stream
{
	[super write:stream];
	NXWriteObject(stream,dataSource);
	return self;
}

@end
