/* TBinderListConnectInspector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import "TBinderList.h"

// Category of TBinderList that does the connections-specific stuff
@interface TBinderList (ConnectionsInspector)

-(const char *)getConnectInspectorClassName;

@end

// Connection inspector for the TBinderList class
@interface TBinderListConnectInspector:IBInspector
{
	id binderInspector;	// inspector for TBinders.
	id browser;			// The browser
	id connectButton;		// The connect/disconnect button.
	id connectorList;		// The list of connectors that we show
	id accessorStorage;	// The storage of col. 1 accessors
	id accessorBrowser;	// The browser of accessors.
	id inspectorView;		// The total view
	id sourceConnectButton;	// The connect/disconnect button for the ds.
	id sourceDisplayButton;	// The dislay mechanism for the datasource.
}

id getDSConnectorForSource(id anObject);
id getTConnectorForDestination(id anObject);

- init;
- inspectorView;
- inspectBinderAfterDelay:sender;
- inspectBinder:sender;
- selectDSConnection:sender;
- selectAccessor:sender;
- dataSourceOk:sender;
- showConnection:conn;
- selectConnection:sender;  // action of the matrix
- ok:sender;
- revert:sender;
- (BOOL)wantsButtons;

@end
