/* TimerInspector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import "Timer.h"

// Category of Timer that does the inspector-specific stuff
@interface Timer (AttributesInspector)

- (const char *)getInspectorClassName;
- (NXImage *)getIBImage;

@end

// Inspector for the Timer class
@interface TimerInspector:IBInspector
{
	id	periodField;		// field for period entry/display
	id	priorityField;		// field for priority entry/display
	id	visibleDebugSwitch;	// switch for visibleDebug mode on/off
	id	wrapSwitch;			// switch for wrap mode on/off
	id	syncSwitch;			// switch for synchronization on/off
	id	syncValueField;		// field for synchronization entry/display
	id	startValueField;		// field for startValue entry/display
	id	wrapValueField;		// field for wrapValue entry/display
	id	incrementByField;		// field for incrementBy entry/display
}

- init;
- (BOOL)wantsButtons;
- thresholdPopped:sender;	// action for the threshold PopUpList
- revertInspector:sender;

@end
