/* SortedList.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <objc/List.h>
#import <appkit/appkit.h>
#import "SortedListAgent.h"

// a List that sorts according to a function
@interface SortedList:List
{
	id		agent;
}

- initCount:(unsigned)numSlots;
- setAgent:anObject;
- agent;
- (id)subdirectoryForObjectAt:(int)at;
- (BOOL)isLeafAt:(int)at;
- (const char *)displayStringForObjectAt:(int)at;
- (int)compareObjectAt:(int)at with:object;
- addObject:anObject;
- sort:sender;

// Browser delegation
- (int)browser:sender fillMatrix:matrix inColumn:(int)column;
- (const char *)browser:sender titleOfColumn:(int)column;

// archival methods
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end