/* SortedStorage.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <objc/Storage.h>
#import <appkit/appkit.h>
#import "SortedStorageAgent.h"

// a Storage that sorts
@interface SortedStorage:Storage
{
	id		agent;
}

- initCount:(unsigned)count elementSize:(unsigned)sizeInBytes description:(const char *)descriptor;
- setAgent:anObject;
- agent;
- (id)subdirectoryForElementAt:(int)at;
- (BOOL)isLeafAt:(int)at;
- (const char *)displayStringForElementAt:(int)at;
- (int)compareElementAt:(int)at with:(void *)anElement;
- addElement:(void *)anElement;

// Browser delegation
- (int)browser:sender fillMatrix:matrix inColumn:(int)column;

// archival methods
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end